<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">ConstraintHs.Data.Constraint</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="ConstraintHs.Data.Type.html"><span class="hs-identifier">ConstraintHs.Data.Type</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="ConstraintHs.Data.Type.html#Ty"><span class="hs-identifier">Ty</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="../file:///nix/store/s074i6fx3dbsw5dcyizf4mhh5kpsmw3p-ghc-8.10.7-doc/share/doc/ghc/html/libraries/text-1.2.4.1/src"><span class="hs-identifier">Data.Text</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="../file:///nix/store/s074i6fx3dbsw5dcyizf4mhh5kpsmw3p-ghc-8.10.7-doc/share/doc/ghc/html/libraries/text-1.2.4.1/src"><span class="hs-identifier">Text</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="../file:///nix/store/lr8wfsjyi9j20zsvj00gd29dzlwlpcvq-optics-0.4-doc/share/doc/optics-0.4/html/src"><span class="hs-identifier">Optics</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="../file:///nix/store/fb6zr6ra80h44k8ldr0kca0xh8sgp996-optics-th-0.4-doc/share/doc/optics-th-0.4/html/src"><span class="hs-identifier">makeLenses</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-comment">-- | A name and a list of types</span><span>
</span><span id="line-8"></span><span class="hs-keyword">data</span><span> </span><span id="Constraint"><span class="annot"><a href="ConstraintHs.Data.Constraint.html#Constraint"><span class="hs-identifier hs-var">Constraint</span></a></span></span><span> </span><span id="local-6989586621679084499"><span class="annot"><a href="#local-6989586621679084499"><span class="hs-identifier hs-type">a</span></a></span></span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-9"></span><span>  </span><span id="local-6989586621679084498"><span id="Constraint"><span class="annot"><a href="ConstraintHs.Data.Constraint.html#Constraint"><span class="hs-identifier hs-var">Constraint</span></a></span></span><span> </span><span class="hs-glyph">::</span><span>
</span><span id="line-10"></span><span>    </span><span class="hs-special">{</span><span> </span><span id="_name"><span class="annot"><span class="annottext">Constraint a -&gt; Text
</span><a href="ConstraintHs.Data.Constraint.html#_name"><span class="hs-identifier hs-var hs-var">_name</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="../file:///nix/store/s074i6fx3dbsw5dcyizf4mhh5kpsmw3p-ghc-8.10.7-doc/share/doc/ghc/html/libraries/text-1.2.4.1/src"><span class="hs-identifier hs-type">Text</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-11"></span><span>      </span><span id="_types"><span class="annot"><span class="annottext">Constraint a -&gt; [Ty a]
</span><a href="ConstraintHs.Data.Constraint.html#_types"><span class="hs-identifier hs-var hs-var">_types</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="hs-special">[</span><span class="annot"><a href="ConstraintHs.Data.Type.html#Ty"><span class="hs-identifier hs-type">Ty</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679084498"><span class="hs-identifier hs-type">a</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-12"></span><span>    </span><span class="hs-special">}</span><span> </span><span class="hs-glyph">-&gt;</span><span>
</span><span id="line-13"></span><span>    </span><span class="annot"><a href="ConstraintHs.Data.Constraint.html#Constraint"><span class="hs-identifier hs-type">Constraint</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679084498"><span class="hs-identifier hs-type">a</span></a></span></span><span>
</span><span id="line-14"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679084491"><span id="local-6989586621679084493"><span class="annot"><span class="annottext">Constraint a -&gt; Constraint a -&gt; Bool
(Constraint a -&gt; Constraint a -&gt; Bool)
-&gt; (Constraint a -&gt; Constraint a -&gt; Bool) -&gt; Eq (Constraint a)
forall a. Eq a =&gt; Constraint a -&gt; Constraint a -&gt; Bool
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: Constraint a -&gt; Constraint a -&gt; Bool
$c/= :: forall a. Eq a =&gt; Constraint a -&gt; Constraint a -&gt; Bool
== :: Constraint a -&gt; Constraint a -&gt; Bool
$c== :: forall a. Eq a =&gt; Constraint a -&gt; Constraint a -&gt; Bool
</span><a href="../file:///nix/store/s074i6fx3dbsw5dcyizf4mhh5kpsmw3p-ghc-8.10.7-doc/share/doc/ghc/html/libraries/ghc-prim-0.6.1/src"><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></a></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679084484"><span id="local-6989586621679084486"><span id="local-6989586621679084488"><span class="annot"><span class="annottext">Int -&gt; Constraint a -&gt; ShowS
[Constraint a] -&gt; ShowS
Constraint a -&gt; String
(Int -&gt; Constraint a -&gt; ShowS)
-&gt; (Constraint a -&gt; String)
-&gt; ([Constraint a] -&gt; ShowS)
-&gt; Show (Constraint a)
forall a. Show a =&gt; Int -&gt; Constraint a -&gt; ShowS
forall a. Show a =&gt; [Constraint a] -&gt; ShowS
forall a. Show a =&gt; Constraint a -&gt; String
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [Constraint a] -&gt; ShowS
$cshowList :: forall a. Show a =&gt; [Constraint a] -&gt; ShowS
show :: Constraint a -&gt; String
$cshow :: forall a. Show a =&gt; Constraint a -&gt; String
showsPrec :: Int -&gt; Constraint a -&gt; ShowS
$cshowsPrec :: forall a. Show a =&gt; Int -&gt; Constraint a -&gt; ShowS
</span><a href="../file:///nix/store/s074i6fx3dbsw5dcyizf4mhh5kpsmw3p-ghc-8.10.7-doc/share/doc/ghc/html/libraries/base-4.14.3.0/src"><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></a></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-15"></span><span>
</span><span id="line-16"></span><span id="types"><span id="name"><span id="local-6989586621679084482"><span id="local-6989586621679084499"><span class="hs-identifier">makeLenses</span><span> </span><span class="hs-special">''</span><span class="hs-identifier">Constraint</span></span></span></span></span><span>
</span><span id="line-17"></span><span>
</span><span id="line-18"></span><span class="hs-comment">-- | Qualified type</span><span>
</span><span id="line-19"></span><span class="hs-keyword">type</span><span> </span><span id="QualTy"><span class="annot"><a href="ConstraintHs.Data.Constraint.html#QualTy"><span class="hs-identifier hs-var">QualTy</span></a></span></span><span> </span><span id="local-6989586621679084478"><span class="annot"><a href="#local-6989586621679084478"><span class="hs-identifier hs-type">a</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><a href="ConstraintHs.Data.Type.html#Ty"><span class="hs-identifier hs-type">Ty</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><a href="ConstraintHs.Data.Constraint.html#Constraint"><span class="hs-identifier hs-type">Constraint</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679084478"><span class="hs-identifier hs-type">a</span></a></span><span class="hs-special">]</span><span>
</span><span id="line-20"></span></pre></body></html>